Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_config.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Functions
CONF * | DupConfigPtr (VALUE obj)
void | Init_ossl_config (void)

## Variables
VALUE | cConfig
VALUE | eConfigError

## Function Documentation

## ◆ DupConfigPtr()

CONF* DupConfigPtr | ( | VALUE | obj | ) |

Definition at line 35 of file ossl_config.c.

References cConfig, eConfigError, NULL, obj, OSSL_Check_Kind, ossl_obj2bio(), ossl_raise(), rb_funcall, rb_intern, and str.

## ◆ Init_ossl_config()

void Init_ossl_config | ( | void |  | ) |

Definition at line 72 of file ossl_config.c.

References cConfig, eConfigError, eOSSLError, mOSSL, rb_cObject, rb_define_class_under(), rb_define_const(), rb_define_module(), rb_eStandardError, and rb_str_new2.

## Variable Documentation

## ◆ cConfig

VALUE cConfig

Definition at line 16 of file ossl_config.c.

Referenced by DupConfigPtr(), and Init_ossl_config().

## ◆ eConfigError

VALUE eConfigError

Definition at line 22 of file ossl_config.c.

Referenced by DupConfigPtr(), and Init_ossl_config().